Uploaded image for project: 'Artifactory Binary Repository'
  1. Artifactory Binary Repository
  2. RTFACT-15287

If Access version is incompatible with Artifactory version, log a clear message on startup

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: 5.6.0
    • Fix Version/s: None
    • Component/s: Access Server, Installer
    • Labels:
      None

      Description

      If an upgrade is performed and the artifactory.war file is updated and access.war is not, they will be incompatible. The error in the log will look like:

      2017-11-16 01:48:35,894 [art-init] [ERROR] (o.a.s.a.AccessServiceImpl:878) - Couldn't update access configuration, http response code: 404, body: [123, 10, 32, 32, 34, 101, 114, 114, 111, 114, 115, 34, 32, 58, 32, 91, 32, 123, 10, 32, 32, 32, 32, 34, 99, 111, 100, 101, 34, 32, 58, 32, 34, 78, 79, 84, 95, 70, 79, 85, 78, 68, 34, 44, 10, 32, 32, 32, 32, 34, 109, 101, 115, 115, 97, 103, 101, 34, 32, 58, 32, 34, 72, 84, 84, 80, 32, 52, 48, 52, 32, 78, 111, 116, 32, 70, 111, 117, 110, 100, 34, 10, 32, 32, 125, 32, 93, 10, 125]

      We should have a clear message when the services are incompatible with each other so the issue can be self-diagnosed by the customer.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              aaronr Aaron Rhodes
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: